/*
 * This file is part of the Trezor project, https://trezor.io/
 *
 * Copyright (c) SatoshiLabs
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <trezor_rtl.h>

#include <sys/sysevent.h>

void sysevents_poll(const sysevents_t *awaited, sysevents_t *signalled,
                    uint32_t timeout) {
  memset(signalled, 0, sizeof(*signalled));

  // Ensures that SDL events are processed even if the ifaces list
  // contains only USB interfaces. This prevents the emulator from
  // freezing when the user interacts with the window.
  SDL_PumpEvents();

  // Not implemented fully yet
  // !@# TODO
}
